PDA

Visualizza la versione completa : corretto bug kernel 2.6.11


andy caps
09-03-2005, 19:53
il kernel stablle 2.6.11 Ŕ stato corretto alla versione 2.6.11-2 perche Ŕ stato riscontrato un problema di sicurezza

http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.11.2

Guglie
09-03-2005, 20:16
Ŕ stato corretto 2 volte: prima in 2.6.11.1 e poi in 2.6.11.2
personalmente non mi piace questo nuovo modo di gestire il kernel 2.6: se uno ha deciso di aggiornare tot macchine al 2.6.10 ora deve passare al 2.6.11.2 per questioni di sicurezza :madai!?:

weatherman
09-03-2005, 20:26
ma spiegatemi un po'... a quanto ho capito la prossima release unstable sara' la 2.6.12 a cui seguira' una 2.6.12.1 stable...o forse ci sara' prima una 2.6.11.3? Capisco che non forkano in 2.7 perche' poi non c'e' nessuno che lo testa ma se per avere piu' tester devono confonderci completamente le idee... :master: e se poi la patch applicata nello stable necessita di correzioni (il limite e' cento righe quindi suppongo possa benissimo capitare) che fanno la 2.6.11.2.1? :rollo:
qualche info comunque si trova qua: http://kerneltrap.org/node/4827

andy caps
09-03-2005, 20:27
a me non dispiace questo work in progress continuo
permette di avere supporto per le nuove periferiche velocemente
chiaramente su un sistema importante userei un kernel di cui ho provato la stabilita e non lo aggiornerei come faccio sul mio desktop
non Ŕ detto che questo bugghetto non sia presente anche nei kernel precedenti comunque :bh˛:

cacao74
09-03-2005, 20:30
[EDIT]
perdonate la mia sbadataggine!

ciao

weatherman
09-03-2005, 20:43
Originariamente inviato da andy caps
chiaramente su un sistema importante userei un kernel di cui ho provato la stabilita e non lo aggiornerei come faccio sul mio desktop
che a questo punto imho sarebbe un 2.4 :messner: meno male che c'e' qualche distro che ancora l'ha come default...ehm... :D

nik600
09-03-2005, 20:49
Originariamente inviato da weatherman
che a questo punto imho sarebbe un 2.4 :messner: meno male che c'e' qualche distro che ancora l'ha come default...ehm... :D

chi ha detto slack? :D

gigyz
09-03-2005, 21:42
beh, se volete che passino 6 mesi prima che un bug venga fixato potete sempre ritornare a win :maLOL:
:ciauz:

GhePeU
09-03-2005, 21:50
non Ŕ "per sicurezza", Ŕ il nuovo modello di sviluppo del kernel, stable 2.6.x, sottorelease 2.6.x.y che contengono solo patch testate, che risolvono un problema ben definito e verificatosi (niente "se capita questo e questo e questo allora...") e di piccola entitÓ (meno di 100 righe di codice) e sviluppo in quella che diventerÓ la 2.6.x+1 (con le canoniche rc)

si parlava anche di passare a un modello pari/dispari sulla terza cifra, vale a dire 2.6.x (pari) stabile, aggiunta di features e grosse modifiche fino alla 2.6.x+1, poi stabilizzazione fino al rilascio della 2.6.x+2, e poi si ricomincia

Loading